#ifndef SENSORSETTINGSDIALOG_H
#define SENSORSETTINGSDIALOG_H

#include <QDialog>
#include "sensors/sensor.h"

namespace Ui
{
class SensorSettingsDialog;
}

class SensorSettingsDialog : public QDialog
{
	Q_OBJECT

public:
	explicit SensorSettingsDialog(const Sensor& sensor, QWidget* parent = nullptr);
	~SensorSettingsDialog();

	QString getName() const;
	QString getGroupName() const;
	bool getHidden() const;

private:
	Ui::SensorSettingsDialog* ui;
};

#endif // SENSORSETTINGSDIALOG_H